com.amazonaws.services.simpleworkflow.model

## Class ScheduleLambdaFunctionFailedEventAttributes

- java.lang.Object
- - com.amazonaws.services.simpleworkflow.model.ScheduleLambdaFunctionFailedEventAttributes

All Implemented Interfaces:
  Serializable, Cloneable

    public class ScheduleLambdaFunctionFailedEventAttributes
    extends Object
    implements Serializable, Cloneable

Provides details for the `ScheduleLambdaFunctionFailed` event.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ScheduleLambdaFunctionFailedEventAttributes()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ScheduleLambdaFunctionFailedEventAttributes` `clone()`
`boolean` `equals(Object obj)`
`String` `getCause()` The cause of the failure.
`Long` `getDecisionTaskCompletedEventId()` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function.
`String` `getId()` The unique Amazon SWF ID of the AWS Lambda task.
`String` `getName()` The name of the scheduled AWS Lambda function.
`int` `hashCode()`
`void` `setCause(ScheduleLambdaFunctionFailedCause cause)` The cause of the failure.
`void` `setCause(String cause)` The cause of the failure.
`void` `setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function.
`void` `setId(String id)` The unique Amazon SWF ID of the AWS Lambda task.
`void` `setName(String name)` The name of the scheduled AWS Lambda function.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ScheduleLambdaFunctionFailedEventAttributes` `withCause(ScheduleLambdaFunctionFailedCause cause)` The cause of the failure.
`ScheduleLambdaFunctionFailedEventAttributes` `withCause(String cause)` The cause of the failure.
`ScheduleLambdaFunctionFailedEventAttributes` `withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)` The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function.
`ScheduleLambdaFunctionFailedEventAttributes` `withId(String id)` The unique Amazon SWF ID of the AWS Lambda task.
`ScheduleLambdaFunctionFailedEventAttributes` `withName(String name)` The name of the scheduled AWS Lambda function.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ScheduleLambdaFunctionFailedEventAttributes

    public ScheduleLambdaFunctionFailedEventAttributes()

### Method Detail

#### setId

    public void setId(String id)

The unique Amazon SWF ID of the AWS Lambda task.

Parameters:
  `id` - The unique Amazon SWF ID of the AWS Lambda task.

#### getId

    public String getId()

The unique Amazon SWF ID of the AWS Lambda task.

Returns:
  The unique Amazon SWF ID of the AWS Lambda task.

#### withId

    public ScheduleLambdaFunctionFailedEventAttributes withId(String id)

The unique Amazon SWF ID of the AWS Lambda task.

Parameters:
  `id` - The unique Amazon SWF ID of the AWS Lambda task.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setName

    public void setName(String name)

The name of the scheduled AWS Lambda function.

Parameters:
  `name` - The name of the scheduled AWS Lambda function.

#### getName

    public String getName()

The name of the scheduled AWS Lambda function.

Returns:
  The name of the scheduled AWS Lambda function.

#### withName

    public ScheduleLambdaFunctionFailedEventAttributes withName(String name)

The name of the scheduled AWS Lambda function.

Parameters:
  `name` - The name of the scheduled AWS Lambda function.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setCause

    public void setCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `ScheduleLambdaFunctionFailedCause`

#### getCause

    public String getCause()

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Returns:
  The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `ScheduleLambdaFunctionFailedCause`

#### withCause

    public ScheduleLambdaFunctionFailedEventAttributes withCause(String cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ScheduleLambdaFunctionFailedCause`

#### setCause

    public void setCause(ScheduleLambdaFunctionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
See Also:
  `ScheduleLambdaFunctionFailedCause`

#### withCause

    public ScheduleLambdaFunctionFailedEventAttributes withCause(ScheduleLambdaFunctionFailedCause cause)

The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes.

<note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.</note>

Parameters:
  `cause` - The cause of the failure. This information is generated by the system and can be useful for diagnostic purposes. <note>If cause is set to OPERATION_NOT_PERMITTED, the decision failed because it lacked sufficient permissions. For details and example IAM policies, see Using IAM to Manage Access to Amazon SWF Workflows.
Returns:
  Returns a reference to this object so that method calls can be chained together.
See Also:
  `ScheduleLambdaFunctionFailedCause`

#### setDecisionTaskCompletedEventId

    public void setDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### getDecisionTaskCompletedEventId

    public Long getDecisionTaskCompletedEventId()

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Returns:
  The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

#### withDecisionTaskCompletedEventId

    public ScheduleLambdaFunctionFailedEventAttributes withDecisionTaskCompletedEventId(Long decisionTaskCompletedEventId)

The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.

Parameters:
  `decisionTaskCompletedEventId` - The ID of the `DecisionTaskCompleted` event corresponding to the decision that resulted in the scheduling of this AWS Lambda function. This information can be useful for diagnosing problems by tracing back the chain of events leading up to this event.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ScheduleLambdaFunctionFailedEventAttributes clone()

Overrides:
  `clone` in class `Object`